Subject: bug#46691: tmux

From: Jim Dupont <[email-masked]>
Date: Thu, 31 Oct 2024 12:17:23 -0400

Hi all, since this is the #1 google hit on this query and I am not able to
resolve it myself, I am running guix on ubuntu and maybe that is the cause.
can someone please tell me succinctly how to work aound this problem?
Thank you, happy gnu!
mike

On Sun, Oct 27, 2024, 15:31 Jim Dupont <[email-masked]> wrote:

> Hello,
> This may not be a bug, but I am still confused as to how to fix, this.
>
> `guix environment --container --ad-hoc glibc-utf8-locales tmux`
> gives `guix environment: error: glibc-utf8-locales: unknown package`
>
> `guix install glibc-utf8-locales-2.29 tmux`
> and
> `guix environment --container --ad-hoc glibc-utf8-locales-2.29 tmux`
>
> give
> ```
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>   /gnu/store/sixsjzjqp0jp02i651sb8chkr82l1f84-profile.drv
> ...
> ```
>
> ```
> export GUIX_LOCPATH=$GUIX_ENVIRONMENT/lib/locale
> tmux
> ```
> gives
> `tmux: need UTF-8 locale (LC_CTYPE) but have ANSI_X3.4-1968`
>
> Let me know how to proceed please?
> Thanks,
> mike
>
>